Create a new External check runCopy Pagepost https://api.kolide.com/checks/{checkId}/runsRecent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Path ParamscheckIdstringrequiredThe check ID of the external check runBody Paramsdevice_idintegerThe ID of the device. Must pass exactly one of device_id, person_id, or person_email.person_idintegerThe ID of the person. Must pass exactly one of device_id, person_id, or person_email.person_emailstringThe email of the person. Falls back to matching an identity email if no person matches directly. Must pass exactly one of device_id, person_id, or person_email.check_datajsonData for the check result. Must include a KOLIDE_CHECK_STATUS attribute with a value matching one of FAIL, PASS, UNKNOWN, INAPPLICABLE, ERROR. May optionally include additional key-value pairs as extra metadata. May contain one element, or many elements in an array.Headersx-kolide-api-versionstringDefaults to 2026-04-07Specify the API version to be usedResponses 200The newly created External check run 401An 'unauthorized' response may occur for features restricted by or unavailable to your organization 403A 'forbidden' response may occur if the API key does not have necessary permissions to perform certain actionsUpdated 2 months ago